\documentclass{article}

% Label size
\usepackage[paperwidth=62mm, paperheight=55mm, top=8mm,bottom=4mm,left=3mm,right=3mm]{geometry}

% Unicode for everyone
\RequireXeTeX

% Font
\usepackage[Arabics, CJK, Cyrillics, Japanese, Latin]{ucharclasses}
\usepackage{fontspec,xltxtra,xunicode}
\defaultfontfeatures{Mapping=tex-text,Scale=MatchLowercase}
%\usepackage{bidi}
\setmainfont{DejaVu Sans}
%\setDefaultTransitions{\fontspec{Code2000}}{}
\setTransitionsForLatin{\fontspec{DejaVu Sans}}{}
\setTransitionsForArabics{\fontspec{Scheherazade}}{}
\setTransitionsForCJK{\fontspec{AR PL UKai TW}}{}
\setTransitionsForJapanese{\fontspec{VL Gothic}}{}

% Resize box
\usepackage{graphicx}

\begin{document}
\begin{center}
\resizebox{0.4\textwidth}{!}{\textbf{\nickname}}
\vfill
\resizebox{0.9\textwidth}{!}{\fullname}
\vfill
\resizebox{0.4\textwidth}{!}{~}
\end{center}

\vfill
{\large \languages \hfill \foodspec \foodpaid}
\end{document}
